#
# Support Makefile for FreeBSD
# $Id: Makefile.fbs,v 1.2 1997/03/01 08:25:02 sob Exp $
#
CC     = cc
AR     = ar cq
RANLIB = ranlib
LIBC   = /usr/lib/libc.a
IFLAGS = 
LFLAGS = 
CFLAGS = -O ${IFLAGS} ${LFLAGS} -DNO_MALLOC_PROTO

SRCS   = strcasestr.c authuser.c ftw.c
OBJS   = strcasestr.o authuser.o ftw.o

all: $(OBJS)
	-rm -f libsupport.a
	${AR} libsupport.a $(OBJS)
	${RANLIB} libsupport.a

clean:
	-rm -f *.o libsupport.a

ftp.h:
	install -c -m 444 ftp.h /usr/include/arpa

strcasestr.o: strcasestr.c
	${CC} ${CFLAGS} -c strcasestr.c

authuser.o: authuser.c
	${CC} ${CFLAGS} -c authuser.c

ftw.o: ftw.c
	${CC} ${CFLAGS} -c ftw.c
